Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.responder
Class ResponderOperation

    java.lang.Object
      org.makumba.forms.responder.ResponderOperation

All Implemented Interfaces:
  Serializable

    public abstract class ResponderOperation

extends Object
implements Serializable

this class helps to differentiate between the different types of forms

Author:
  Cristian Bogdan, Manuel Gay
See Also:
  Serialized Form

Constructor Summary
`ResponderOperation()`

Method Summary
`DbConnectionProvider` | `getConnectionProvider(HttpServletRequest req, Object controller)` gets the transaction provider
`abstract Object` | `respondTo(HttpServletRequest req, Responder resp, String suffix, String parentSuffix)` respond to the given request, with the data from the given responder, read using the given multiple form suffix
`abstract String` | `verify(Responder resp)` check the validity of the given responder data, return not-null if there is a problem

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponderOperation

    public ResponderOperation()

Method Detail

### respondTo

    public abstract Object respondTo(HttpServletRequest req,
                                     Responder resp,
                                     String suffix,
                                     String parentSuffix)
                              throws LogicException

  respond to the given request, with the data from the given responder, read using the given multiple form suffix

  Throws:
    `LogicException`

### verify

    public abstract String verify(Responder resp)

  check the validity of the given responder data, return not-null if there is a problem

### getConnectionProvider

    public DbConnectionProvider getConnectionProvider(HttpServletRequest req,
                                                      Object controller)

  gets the transaction provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20